-- A2E4822A98337283E39F7B60ACF85EC9

ALTER TABLE KARTA
    ALTER FLAG_RSLT TYPE VARCHAR(20) CHARACTER SET WIN1251;
@    

ALTER TABLE KARTA
    ADD AGE        NUMERIC(3,0),
    ADD HEIGHT        NUMERIC(3,2),
    ADD WEIGHT        NUMERIC(3,2),
    ADD HOLEST        VARCHAR(10),
    ADD GLUCOSE       VARCHAR(10),
    ADD AD            VARCHAR(10),
    ADD TO_TWO        VARCHAR(255),
    ADD RISK          VARCHAR(255);
@    

CREATE TABLE DS (
    ID_KARTA  INTEGER,
    DS_COD    VARCHAR(10),
    DS_DATE   DATE,
    IS_FIND   VARCHAR(1),
    IS_IN_DD  VARCHAR(1)
);
@

CREATE INDEX DS_IDX1 ON DS (ID_KARTA);
@

CREATE TABLE FRISK (
    ID_RISK    INTEGER NOT NULL,
    NAME_RISK  VARCHAR(255)
);
@

ALTER TABLE FRISK ADD CONSTRAINT PK_FRISK PRIMARY KEY (ID_RISK);
@

ALTER TABLE KARTA_USL
    ADD IS_FIND   VARCHAR(1);  
@  

COMMIT WORK;
@

update KARTA_USL KU
set KU.IS_FIND = '0';
@

CREATE OR ALTER procedure DROP_KARTA (
    DID integer)
as
begin
  delete from KARTA_USL U
  where U.ID_KARTA = :DID;

  delete from KARTA K
  where K.ID = :DID;

  delete from DS D
  where D.ID_KARTA = :DID;
end;
@

INSERT INTO FRISK (ID_RISK, NAME_RISK)
           VALUES (1, '   ');
@           
INSERT INTO FRISK (ID_RISK, NAME_RISK)
           VALUES (2, '');
@           
INSERT INTO FRISK (ID_RISK, NAME_RISK)
           VALUES (3, '    ');
@           
INSERT INTO FRISK (ID_RISK, NAME_RISK)
           VALUES (4, ' ');
@           
INSERT INTO FRISK (ID_RISK, NAME_RISK)
           VALUES (5, '   ');
@           
INSERT INTO FRISK (ID_RISK, NAME_RISK)
           VALUES (6, '         ');
@           
INSERT INTO FRISK (ID_RISK, NAME_RISK)
           VALUES (7, ' ');
@           
INSERT INTO FRISK (ID_RISK, NAME_RISK)
           VALUES (8, '  ');
@           
INSERT INTO FRISK (ID_RISK, NAME_RISK)
           VALUES (9, '   ()');
@           
INSERT INTO FRISK (ID_RISK, NAME_RISK)
           VALUES (10, '     ');
@           
INSERT INTO FRISK (ID_RISK, NAME_RISK)
           VALUES (11, '  ');
@           
INSERT INTO FRISK (ID_RISK, NAME_RISK)
           VALUES (12, '  - ');
@           
INSERT INTO FRISK (ID_RISK, NAME_RISK)
           VALUES (13, '  - ');
@           
INSERT INTO FRISK (ID_RISK, NAME_RISK)
           VALUES (14, '   - ');
@           

COMMIT WORK;
@

CREATE TABLE PLAN_D (
    MO         VARCHAR(6),
    DATE_FROM  DATE,
    AGE        NUMERIC(3,0),
    W          NUMERIC(1,0),
    ALL_P      INTEGER,
    IN_PLAN    INTEGER
);
@

CREATE INDEX PLAN_D_IDX1 ON PLAN_D (MO);
@